import path_setting
from in_common.base_request import BaseRequest


class common_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.DIARY_COMMON_CONFIG)
        print("00000000000000",self.data)

    # 日记贴评论列表--一级评论列表
    def diary_common_reply(self, id, type, data_type, offset ,start_num):
        self.params["id"] = id
        self.params["type"] = type
        self.params["data_type"] = data_type
        self.params["offset"] = offset
        self.params["start_num"] = start_num

        return self.api_send(self.data["reply_detail"])

    # 日记贴评论列表--二级评论
    def topic_sub_common(self, id, type, reply_id,offset,start_num):
        self.params["id"] = id
        self.params["type"] = type
        self.params["reply_id"] = reply_id
        self.params["offset"] = offset
        self.params["start_num"] = start_num
        return self.api_send(self.data["sub_common"])



if __name__ == '__main__':
    common_request().diary_common_reply(21250007,2)








